# Class MaskSpec

java.lang.Object
uk.ac.starlink.ttools.plot2.data.MaskSpec

@Equality public class MaskSpec extends Object
Characterises information about a data inclusion mask. It aggregates a table and a maskId, and provides the capability of reading the corresponding inclusion data from a RowData.

Since:
  6 Jan 2020
Author:
  Mark Taylor

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static interface`
`MaskSpec.Reader`
Reads a flag.

## Constructor Summary

Constructors
Constructor
Description
`MaskSpec(DataSpec dataSpec)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`MaskSpec.Reader`
`flagReader(uk.ac.starlink.table.RowData rdata)`
Returns an object that can read the flag value for this mask from the current row of a supplied row sequence.
`String`
`getMaskId()`
Returns the unique mask identifier string associated with this spec.
`uk.ac.starlink.table.StarTable`
`getTable()`
Returns the table to which this mask belongs.
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### MaskSpec

public MaskSpec(DataSpec dataSpec)
Constructor.

Parameters:
  `dataSpec` - specification from which the mask information is taken

## Method Details

### getTable

public uk.ac.starlink.table.StarTable getTable()
Returns the table to which this mask belongs.

Returns:
  table

### getMaskId

public String getMaskId()
Returns the unique mask identifier string associated with this spec.

Returns:
  mask ID

### flagReader

public MaskSpec.Reader flagReader(uk.ac.starlink.table.RowData rdata)
Returns an object that can read the flag value for this mask from the current row of a supplied row sequence.

Parameters:
  `rdata` - row for this mask spec's table
Returns:
  inclusion mask reader

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`